function gadget:GetInfo()
	return {
		name = "Projectile Effects",
		desc = "Fancy Projectile Trails",
		author = "Argh, thanks to Kloot, jK",
		date = "September 11, 2009",
		license = "GPL, v. 2 or later, 2009",
		layer = 1,
		enabled = true,
	}
end

	local isPiece, projName

	local GetProjectilePosition = Spring.GetProjectilePosition
	local GetProjectileType = Spring.GetProjectileType
	local GetProjectileName = Spring.GetProjectileName
	local GetProjectileGravity = Spring.GetProjectileGravity
	local GetProjectileSpinAngle = Spring.GetProjectileSpinAngle
	local GetProjectileSpinSpeed = Spring.GetProjectileSpinSpeed
	local GetProjectileSpinVec = Spring.GetProjectileSpinVec

	local SetProjectileGravity = Spring.SetProjectileGravity
	local SetProjectileSpinAngle = Spring.SetProjectileSpinAngle
	local SetProjectileSpinSpeed = Spring.SetProjectileSpinSpeed
	local SetProjectileSpinVec = Spring.SetProjectileSpinVec
	local SetProjectileCEG = Spring.SetProjectileCEG
	local GetProjectileVelocity = Spring.GetProjectileVelocity
	local SetProjectileVelocity = Spring.SetProjectileVelocity
	local rand = math.random

if (gadgetHandler:IsSyncedCode()) then
--------------------------------------------------------------------------------
--  SYNCED
--------------------------------------------------------------------------------
function gadget:ProjectileDestroyed(pid, proOwnerID)
	isWeapon,isPiece = GetProjectileType(pid)
	if isWeapon == true then
		local name = GetProjectileName(pid)
		--Spring.Echo(name)
		
		local wd = WeaponDefNames[name]
		--Spring.Echo(wd.name)

	local px,py,pz = GetProjectilePosition(pid)
	py = Spring.GetGroundHeight(px,pz)
	if py < 0 and wd.customParams.underwater_explosion == nil then py = 0 end
	--Spring.Echo(px,py,pz)

	if wd.customParams.shockwave == "yes" then
		local growth = (wd.areaOfEffect*1.1)/20
		SendToUnsynced("lups_shockwave", px, py, pz, growth)
	end

	end-- END WEAPON CHECK
end

--------------------------------------------------------------------------------
--  END SYNCED
--------------------------------------------------------------------------------
else
--------------------------------------------------------------------------------
--  UNSYNCED
--------------------------------------------------------------------------------
local function SpawnShockwave(_,px,py,pz, growth)
	local Lups = GG['Lups']
	if Lups then
		Lups.AddParticles('ShockWave',{pos={px,py,pz}, growth=growth})
	end
end

function gadget:Initialize()
	gadgetHandler:AddSyncAction("lups_shockwave", SpawnShockwave)
end

function gadget:Shutdown()
	gadgetHandler.RemoveSyncAction("lups_shockwave")

end

end